set mdldir [file dirname [info script]]

puts "Adding DSP Builder System proba_bit5 to project\n"
set importdir [file join $mdldir "DSPBuilder_proba_bit5_import" ]
if { [file exist $importdir] == 0 } {
	puts "Warning expected IP Import directory '$importdir' not found.\n"
}

set_global_assignment -name "QIP_FILE" [file join $mdldir "proba_bit5.qip" ]

if { [file exist [file join $mdldir "proba_bit5_add_user.tcl" ]] } {
	source [file join $mdldir "proba_bit5_add_user.tcl" ]
}

source [file join $mdldir "DSPBuilder_proba_bit5_import/bit2_add.tcl" ]
source [file join $mdldir "DSPBuilder_proba_bit5_import/bit4_add.tcl" ]
source [file join $mdldir "DSPBuilder_proba_bit5_import/bit5_add.tcl" ]

# Add an index file for the Librarian
set ipDir "[get_project_directory]/ip/proba_bit5/";
if { ![file exists $ipDir] } {
	file mkdir $ipDir;
}
# Reference the file by relative path if possible
if { [file pathtype $mdldir] == "relative" } {
	set mdlIPX "../../$mdldir/proba_bit5.ipx"
} else {
	set mdlIPX "${mdldir}/proba_bit5.ipx"
}
set ipxFP [open "$ipDir/proba_bit5.ipx" w]
puts $ipxFP "<library><index file='$mdlIPX'/></library>"
close $ipxFP

foreach g [glob -nocomplain "[file join $mdldir "DSPBuilder_proba_bit5_import" ]/*.entityimport"] {
	file copy -force $g $ipDir
}
